package com.malk.huagao.controller;

import com.malk.huagao.service.IKdYdOutboundService;
import com.malk.huagao.service.IKdYdReceivableService;
import com.malk.server.common.McR;
import com.malk.service.aliwork.YDClient;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author LQY
 * @since 2025-10-16
 */
@RestController
@RequestMapping("/hg")
public class KdYdReceivableController {
    @Autowired
    private YDClient ydClient;
    @Autowired
    private IKdYdReceivableService kdYdReceivableService;
    @PostMapping("/kdYdReceivable1")
    McR insertkdYdReceivable1(@RequestBody Map map) {
        kdYdReceivableService.insertkdYdReceivable(map);
        return McR.success();
    }
    @PostMapping("/kdYdReceivable")
    Map<String, Object> insertkdYdReceivable(@RequestBody Map map) {
        Map<String, Object> stringObjectMap =kdYdReceivableService.insertkdYdReceivable1(map);
        return stringObjectMap;
    }

    @PostMapping("/kdYdpayment")
    Map<String, Object> insertkdYdpayment(@RequestBody Map map) {
        Map<String, Object> stringObjectMap =kdYdReceivableService.insertkdYdpayment(map);
        return stringObjectMap;
    }
}
